<?php
/**
 * The template for displaying 404 pages (not found).
 * @package Prelude Lite
 */

get_header(); ?>

<div class="container">
	<div id="primary" class="content-area row">
		<main id="main" class="site-main col-md-12">

			<section id="not-found">
				<header id="page-header">
					<div>
					<span id="error-title"><?php esc_html_e( 'Error', 'prelude-lite' ); ?></span>
					<span id="error-code"><?php esc_html_e( '404', 'prelude-lite' ); ?></span>
					</div>
					
				</header>
<h1 id="error-subtitle"><?php esc_html_e( 'Page Not Found', 'prelude-lite' ); ?></h1>
				<div class="page-content">
					<p><?php esc_html_e( 'Unfortunately, it appears that the page you were trying to open is not here. Try the search form below or return to the Home page.', 'prelude-lite' ); ?></p>

					<?php get_search_form(); ?>

					<div id="error-button-wrapper">
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="button"><?php esc_html_e( 'HOME PAGE', 'prelude-lite' ); ?></a>
					<a href="javascript:javascript:history.go(-1)" class="button border"><?php esc_html_e( 'PREVIOUS PAGE', 'prelude-lite' ); ?></a>
					</div>
					
					</div>
					
			</section>

		</main>
	</div>
</div>
	
<?php
get_footer();
