<?php
/**
 * The header for our theme.
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * @package Prelude Lite
 */
 
 $boxed_style = esc_attr(get_theme_mod( 'boxed_style', 'fullwidth' ));
 $header_style = esc_attr(get_theme_mod( 'header_style', 'header1' ) ) ;
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="page" class="<?php echo $boxed_style; ?>">
	<a class="skip-link screen-reader-text" href="#main"><?php esc_html_e( 'Skip to content', 'prelude-lite' ); ?></a>

		<?php // lets load our header style
		get_template_part( 'template-parts/'. $header_style ); 	
		?>

	<div id="content" class="site-content">
	
	<?php get_sidebar( 'banner' ); ?>
	<?php get_sidebar( 'breadcrumbs' ); ?>
	<?php get_sidebar( 'top' ); ?>
	
	
