<?php
/**
 * Add inline styles to the head area
 * These styles represents options from the customizer
 * @package Prelude Lite
 */
 
 // Dynamic styles
function prelude_lite_inline_styles($custom) {
	
// BEGIN CUSTOM CSS

	
// body
	$boxed_margins = get_theme_mod( 'boxed_margins', '0' );
	$content_padding = get_theme_mod( 'content_padding', '60' );
	$page_bg = get_theme_mod( 'page_bg', '#000' );
	$bgsize = get_theme_mod( 'bgsize', 'initial' );
	$site_title = get_theme_mod( 'site_title', '#fff' );
	$logo_bg = get_theme_mod( 'logo_bg', '#a05252' );
	$site_header_bg = get_theme_mod( 'site_header_bg', '#151515' );
	$content_bg = get_theme_mod( 'content_bg', '#f3f3f3' );
	$page_headings = get_theme_mod( 'page_headings', '#191919' );
	$page_text_colour = get_theme_mod( 'page_text_colour', '#595c61' );
	$links = get_theme_mod( 'links', '#c17676' );
	$hover_links = get_theme_mod( 'hover_links', '#595c61' );
	$post_summary_bg = get_theme_mod( 'post_summary_bg', '#fff' );
	$post_summary_title = get_theme_mod( 'post_summary_title', '#191919' );
	$post_summary_hover_title = get_theme_mod( 'post_summary_hover_title', '#c17676' );
	$post_summary_text = get_theme_mod( 'post_summary_text', '#595c61' );
	$featured_bg = get_theme_mod( 'featured_bg', '#3b3c3e' );
	$featured_text = get_theme_mod( 'featured_text', '#fff' );
	$post_summary_meta = get_theme_mod( 'post_summary_meta', '#949393' );
	$date_circle = get_theme_mod( 'date_circle', '#a05252' );
	$date_text = get_theme_mod( 'date_text', '#fff' );
	$read_more_text = get_theme_mod( 'read_more_text', '#949393' );
	$read_more_hover = get_theme_mod( 'read_more_hover', '#595c61' );
	$read_more_line = get_theme_mod( 'read_more_line', '#e0e0e0' );
	$single_bg = get_theme_mod( 'single_bg', '#fff' );
	$single_nav_colour = get_theme_mod( 'single_nav_colour', '#595c61' );
	$comment_name = get_theme_mod( 'comment_name', '#595c61' );
	$comment_reply = get_theme_mod( 'comment_reply', '#9fa3a7' );
	$comment_separator = get_theme_mod( 'comment_separator', '#ededed' );	
	$custom .= "body {background-color:" . esc_attr($page_bg) . "; }
	body.custom-background {background-size:" . esc_attr($bgsize) . "; }	
	@media  (min-width: 62em) { #page {margin:" . esc_attr($boxed_margins) . "px auto; }}
	#site-branding {background-color:" . esc_attr($logo_bg) . "; }
	.site-header, .container-fluid.header2 {background-color:" . esc_attr($site_header_bg) . "; }
	#page {background-color:" . esc_attr($content_bg) . "; }
	#site-title, #site-title a {color:" . esc_attr($site_title) . "; }
	#content {padding:" . esc_attr($content_padding) . "px 3%; color:" . esc_attr($page_text_colour) . "; }
	h1,h2,h3,h4,h5,h6,.widget-title {color:" . esc_attr($page_headings) . "; }
	a, a:visited, .nav-links a:hover, .comment-reply-link:hover {color:" . esc_attr($links) . "; }
	a:hover {color:" . esc_attr($hover_links) . "; }
	.blog .entry-header, .blog .entry-content {background-color:" . esc_attr($post_summary_bg) . "; }
	.blog .entry-title, .blog .entry-title a, .archive .entry-title, .archive .entry-title a {color:" . esc_attr($post_summary_title) . "; }
	.blog .entry-title a:hover {color:" . esc_attr($post_summary_hover_title) . "; }
	.blog .entry-content {color:" . esc_attr($post_summary_text) . "; }
	.entry-meta, .entry-meta a {color:" . esc_attr($post_summary_meta) . "; }
	.date-box {background-color:" . esc_attr($date_circle) . "; color:" . esc_attr($date_text) . "; }
	.featured-post {background-color:" . esc_attr($featured_bg) . "; color:" . esc_attr($featured_text) . "; }
	.more-link {color:" . esc_attr($read_more_text) . "; }
	.more-link:hover {color:" . esc_attr($read_more_hover) . "; }
	.more-link:before, .more-link:after {border-color:" . esc_attr($read_more_line) . "; }
	.single #main {background-color:" . esc_attr($single_bg) . "; }
	.nav-links a {color:" . esc_attr($single_nav_colour) . "; }
	#comments .fn, #comments .fn a {color:" . esc_attr($comment_name) . "; }
	.reply-icon:before,.comment-reply-link {color:" . esc_attr($comment_reply) . "; }
	.comment-wrapper {border-color:" . esc_attr($comment_separator) . "; }"."\n";

// logo padding		
	$logo_padding = get_theme_mod( 'logo_padding', '3' );		
	$custom .= "@media (min-width: 66em) {	#site-branding {padding: 0 " . esc_attr($logo_padding) . "%;}}"."\n";

// center blog summaries	
	if( esc_attr(get_theme_mod( 'center_blog_summaries', 0 ) ) ) :
		$custom .= ".blog .hentry, .archive .hentry {text-align: center;  }
		.featured-post {margin: 0 0 0.5rem 0; }"."\n";
	endif;
	
// typography	
	$site_title_size = get_theme_mod( 'site_title_size', '2.5' );
	$main_content_size = get_theme_mod( 'main_content_size', '0.875' );	
	$font_size_widgets = get_theme_mod( 'font_size_widgets', '0.813' );	
	$font_size_widget_title = get_theme_mod( 'font_size_widget_title', '1.125' );	
	$blog_entry_title_size = get_theme_mod( 'blog_entry_title_size', '1.5' );
	$menu_font_size = get_theme_mod( 'menu_font_size', '0.938' );
	$submenu_font_size = get_theme_mod( 'submenu_font_size', '0.875' );
	$custom .= "#site-title {font-size: " . esc_attr($site_title_size) . "rem;}
	#content {font-size: " . esc_attr($main_content_size) . "rem;}
	.blog .entry-title, .archive .entry-title {font-size: " . esc_attr($blog_entry_title_size) . "rem;}
	.widget {font-size: " . esc_attr($font_size_widgets) . "rem;}
	.widget-title {font-size: " . esc_attr($font_size_widget_title) . "rem;}
	.main-navigation ul {font-size: " . esc_attr($menu_font_size) . "rem;}
	.main-navigation ul ul {font-size: " . esc_attr($submenu_font_size) . "rem;}"."\n";

	
// elements		
	$blockquote_text = get_theme_mod( 'blockquote_text', '#a05252' );
	$blockquote = get_theme_mod( 'blockquote', '#3b3c3e' );
	$dropcap = get_theme_mod( 'dropcap', '#595c61' );
	$display_heading = get_theme_mod( 'display_heading', '#191919' );
	$display_subheading = get_theme_mod( 'display_subheading', '#8b8d92' );
	$heading_line = get_theme_mod( 'heading_line', '#a5a5a5' );
	$divider_colour = get_theme_mod( 'divider_colour', '#ccc' );
	$banner_caption1 = get_theme_mod( 'banner_caption1', '#000' );
	$banner_caption2 = get_theme_mod( 'banner_caption2', '#a05252' );
	$banner_caption_button = get_theme_mod( 'banner_caption_button', '#a05252' );
	$banner_caption_button_text = get_theme_mod( 'banner_caption_button_text', '#fff' );
	$banner_caption_button_hover = get_theme_mod( 'banner_caption_button_hover', '#474747' );
	$banner_caption_button_text_hover = get_theme_mod( 'banner_caption_button_text_hover', '#fff' );
	$custom .= "blockquote,q {color:" . esc_attr($blockquote_text) . "; }
	blockquote:before {color:" . esc_attr($blockquote) . "; }
	.dropcap::first-letter {color:" . esc_attr($dropcap) . "; }
	.display1 {color:" . esc_attr($display_heading) . "; }
	.subheading {color:" . esc_attr($display_subheading) . "; }
	.title-line::after {background-color:" . esc_attr($heading_line) . "; }
	hr.double, hr  {background-color:" . esc_attr($divider_colour) . "; }	
	.banner-caption-1  {color:" . esc_attr($banner_caption1) . "; }
	.banner-caption-2  {color:" . esc_attr($banner_caption2) . "; }
	.banner-caption-button  {background-color:" . esc_attr($banner_caption_button) . "; color:" . esc_attr($banner_caption_button_text) . "; }
	.banner-caption-button:hover  {background-color:" . esc_attr($banner_caption_button_hover) . "; color:" . esc_attr($banner_caption_button_text_hover) . "; }"."\n";	

// sidebars		
	$banner_border = get_theme_mod( 'banner_border', '#000' );
	$lr_sidebar_list_links = get_theme_mod( 'lr_sidebar_list_links', '#595c61' );
	$lr_sidebar_list_hover_links = get_theme_mod( 'lr_sidebar_list_hover_links', '#c17676' );
	$lr_sidebar_list_borders = get_theme_mod( 'lr_sidebar_list_borders', '#e6e6e6' );
	$lr_sidebar_tag_bg = get_theme_mod( 'lr_sidebar_tag_bg', '#e6e6e6' );
	$lr_sidebar_tag_text = get_theme_mod( 'lr_sidebar_tag_text', '#000' );
	$bottom_sidebar_text = get_theme_mod( 'bottom_sidebar_text', '#f1d8d8' );
	$bottom_sidebar_list_link_hover = get_theme_mod( 'bottom_sidebar_list_link_hover', '#fff' );
	$bottom_sidebar_list_borders = get_theme_mod( 'bottom_sidebar_list_borders', '#ab7272' );
	$bottom_sidebar_tag_bg = get_theme_mod( 'bottom_sidebar_tag_bg', '#151515' );
	$bottom_sidebar_tag_text = get_theme_mod( 'bottom_sidebar_tag_text', '#f3f3f3' );
	$header_sidebar_text = get_theme_mod( 'header_sidebar_text', '#c9c9c9' );
	$custom .= "#banner img {border-color:" . esc_attr($banner_border) . "; }
	.widget li a, .widget li a:visited {color:" . esc_attr($lr_sidebar_list_links) . "; }
	.widget li a:hover {color:" . esc_attr($lr_sidebar_list_hover_links) . "; }
	.widget_categories .children,.widget_nav_menu .sub-menu, .widget_pages .children, .widget li {border-color:" . esc_attr($lr_sidebar_list_borders) . "; }
	 .widget_tag_cloud a {background-color:" . esc_attr($lr_sidebar_tag_bg) . "; color:" . esc_attr($lr_sidebar_tag_text) . ";}
	 #bottom-sidebars, #bottom-sidebars li a, #bottom-sidebars li a:visited {color:" . esc_attr($bottom_sidebar_text) . ";}
	 #bottom-sidebars li a:hover {color:" . esc_attr($bottom_sidebar_list_link_hover) . ";}
	  #bottom-sidebars li, #bottom-sidebars .widget_categories .children, #bottom-sidebars .widget_nav_menu .sub-menu, #bottom-sidebars .widget_pages .children {border-color:" . esc_attr($bottom_sidebar_list_borders) . ";}
	  #bottom-sidebars .widget_tag_cloud a {background-color:" . esc_attr($bottom_sidebar_tag_bg) . "; color:" . esc_attr($bottom_sidebar_tag_text) . ";}
	  #header-sidebar, #header-sidebar .widget-title {color:" . esc_attr($header_sidebar_text) . ";}"."\n";	
		
// mobile menu
	$mobile_button = get_theme_mod( 'mobile_button', '#a05252' );
	$mobile_button_text = get_theme_mod( 'mobile_button_text', '#fff' );
	$mobile_button_hover = get_theme_mod( 'mobile_button_hover', '#464646' );
	$mobile_button_text_hover = get_theme_mod( 'mobile_button_text_hover', '#fff' );
	$mobile_menu_bg = get_theme_mod( 'mobile_menu_bg', '#202020' );
	$mobile_menu_lines = get_theme_mod( 'mobile_menu_lines', '#464646' );
	$mobile_menu_links = get_theme_mod( 'mobile_menu_links', '#c9c9c9' );
	$mobile_menu_hover_active = get_theme_mod( 'mobile_menu_hover_active', '#fff' );
	$mobile_submenu_button = get_theme_mod( 'mobile_submenu_button', '#464646' );
	$mobile_submenu_button_icon = get_theme_mod( 'mobile_submenu_button_icon', '#7d7c7c' );
	$custom .= ".menu-toggle {background-color:" . esc_attr($mobile_button) . "; color:" . esc_attr($mobile_button_text) . ";}
	.menu-toggle:hover {background-color:" . esc_attr($mobile_button_hover) . "; color:" . esc_attr($mobile_button_text_hover) . ";}	
	.main-navigation li, .main-navigation li:last-child {border-color:" . esc_attr($mobile_menu_lines) . "; }
	.main-navigation a, .main-navigation a:visited {color:" . esc_attr($mobile_menu_links) . "; }
	.main-navigation a:hover,.main-navigation a:focus, .main-navigation .current-menu-item > a, .main-navigation .current-menu-ancestor > a {color:" . esc_attr($mobile_menu_hover_active) . "; }
	.dropdown-toggle {background-color:" . esc_attr($mobile_submenu_button) . "; }
	.dropdown-toggle:after {color:" . esc_attr($mobile_submenu_button_icon) . "; }"."\n";	
	
// main menu	
	$main_menu_links = get_theme_mod( 'main_menu_links', '#c9c9c9' );
	$main_menu_hover_active = get_theme_mod( 'main_menu_hover_active', '#fff' );
	$main_menu_hover_active_bg = get_theme_mod( 'main_menu_hover_active_bg', '#3b3c3e' );
	$main_submenu_arrow = get_theme_mod( 'main_submenu_arrow', '#202020' );
	$custom .= "@media  (min-width: 48em) {
	 .main-navigation a, .main-navigation a:visited, .main-navigation li.home a {color:" . esc_attr($main_menu_links) . "; } 		
	.main-navigation li.home a:hover, .main-navigation a:hover,.main-navigation a:focus, .main-navigation .current-menu-item > a, .main-navigation .current-menu-ancestor > a { color:" . esc_attr($main_menu_hover_active) . "; } 
	.main-navigation ul ul:before {border-color:" . esc_attr($main_submenu_arrow) . " transparent; } }	
	@media  (min-width: 62em) {
	.main-navigation li.home a:hover, .main-navigation a:hover,.main-navigation a:focus, .main-navigation .current-menu-item > a, .main-navigation .current-menu-ancestor > a {background-color:" . esc_attr($main_menu_hover_active_bg) . "; } 
	#site-navigation {border-bottom-color:" . esc_attr($main_menu_hover_active_bg) . "; } }"."\n";	
	
// social menu	
	$social_icon = get_theme_mod( 'social_icon', '#c9c9c9' );
	$social_icon_bg = get_theme_mod( 'social_icon_bg', '#3b3c3e' );
	$social_icon_hover = get_theme_mod( 'social_icon_hover', '#fff' );
	$custom .= ".social-navigation a, .social-navigation a:visited {background-color:" . esc_attr($social_icon_bg) . "; color:" . esc_attr($social_icon) . "; }
	.social-navigation a:hover {color:" . esc_attr($social_icon_hover) . "; }"."\n";

// multi-page nav	
	$multi_page_bg = get_theme_mod( 'multi_page_bg', '#ccc' );
	$multi_page_text = get_theme_mod( 'multi_page_text', '#fff' );
	$multi_page_active = get_theme_mod( 'multi_page_active', '#a05252' );
	$custom .= ".page-links span, .page-links a span {background-color:" . esc_attr($multi_page_bg) . "; color:" . esc_attr($multi_page_text) . "; }
	.page-links a span:hover, .page-links span {background-color:" . esc_attr($multi_page_active) . "; color:" . esc_attr($multi_page_text) . "; }"."\n";
	
// footer
	$footer_text = get_theme_mod( 'footer_text', '#919191' );
	$footer_hover_links = get_theme_mod( 'footer_hover_links', '#ccc' );
	$custom .= "#site-footer, #footer-menu a, #footer-menu a:visited, #site-footer a, #site-footer a:visited, #footer-menu li:after {color:" . esc_attr($footer_text) . ";}
	#site-footer a:hover, #footer-menu a:hover {color:" . esc_attr($footer_hover_links) . ";}"."\n";	

// back to top 
	$back_top = get_theme_mod( 'back_top', '#000' );
	$back_top_icon = get_theme_mod( 'back_top_icon', '#fff' );
	$back_top_hover = get_theme_mod( 'back_top_hover', '#a05252' );
	$custom .= ".back-to-top {background-color:" . esc_attr($back_top) . "; color:" . esc_attr($back_top_icon) . ";}
	.back-to-top:hover {background-color:" . esc_attr($back_top_hover) . ";}"."\n";		
	
// attachment nav 
		$attachment_nav = get_theme_mod( 'attachment_nav', '#a05252' );
		$attachment_hover_nav = get_theme_mod( 'attachment_hover_nav', '#151515' );
		$custom .= "#image-navigation a,#image-navigation a:visited {color:" . esc_attr($attachment_nav) . ";}
		#image-navigation a:hover {color:" . esc_attr($attachment_hover_nav) . ";}"."\n";	
		
// forms
	$button_colour = get_theme_mod( 'button_colour', '#474747' );
	$button_text_colour = get_theme_mod( 'button_text_colour', '#fff' );
	$button_hover_colour = get_theme_mod( 'button_hover_colour', '#a05252' );
	$button_text_hover_colour = get_theme_mod( 'button_text_hover_colour', '#fff' );	
	$button_border_colour = get_theme_mod( 'button_border_colour', '#474747' );
	$button_border_hover_colour = get_theme_mod( 'button_border_hover_colour', '#a05252' );
	$input_border = get_theme_mod( 'input_border', '#b8b8b8' );
	$input_focus_border = get_theme_mod( 'input_focus_border', '#a05252' );
	$input_focus_bg = get_theme_mod( 'input_focus_bg', '#a05252' );
	$input_focus_text = get_theme_mod( 'input_focus_text', '#fff' );
	$input_focus_contact_bg = get_theme_mod( 'input_focus_contact_bg', '#a05252' );
	$input_focus_contact_text = get_theme_mod( 'input_focus_contact_text', '#fff' );
	$custom .= ".button,.button:visited,input[type=\"submit\"],input[type=\"reset\"],input[type=\"file\"],button {background-color:" . esc_attr($button_colour) . "; color:" . esc_attr($button_text_colour) . "  }
	.button:hover, input[type=\"submit\"]:hover,input[type=\"reset\"]:hover,input[type=\"file\"]:hover,button:hover {background-color:" . esc_attr($button_hover_colour) . "; color:" . esc_attr($button_text_hover_colour) . "  }
	.button:border {border-color:" . esc_attr($button_border_colour) . "; color:" . esc_attr($button_border_colour) . "  }
	.button:border:hover {border-color:" . esc_attr($button_border_hover_colour) . "; color:" . esc_attr($button_border_hover_colour) . "  }	input[type=\"text\"],input[type=\"email\"],input[type=\"url\"],input[type=\"password\"],input[type=\"search\"],input[type=\"number\"],input[type=\"tel\"],input[type=\"range\"],input[type=\"date\"],input[type=\"month\"],
input[type=\"week\"],input[type=\"time\"],input[type=\"datetime\"],input[type=\"datetime-local\"],input[type=\"color\"],textarea,select, .search-form input[type=\"text\"], #search-template-form .search-form input[type=\"text\"]  {border-color:" . esc_attr($input_border) . ";}
input[type=\"text\"]:focus,input[type=\"email\"]:focus,input[type=\"url\"]:focus,input[type=\"password\"]:focus,input[type=\"search\"]:focus,input[type=\"number\"]:focus,input[type=\"tel\"]:focus,input[type=\"range\"]:focus,input[type=\"date\"]:focus,input[type=\"month\"]:focus,input[type=\"week\"]:focus,input[type=\"time\"]:focus,input[type=\"datetime\"]:focus,input[type=\"datetime-local\"]:focus,input[type=\"color\"]:focus,
textarea:focus,select:focus, #search-template-form input[type=\"text\"]:focus {border-color:" . esc_attr($input_focus_border) . "; }
#contact-form .form-control:focus, #contact-form textarea.form-control:focus {border-color:" . esc_attr($input_focus_border) . "; background-color:" . esc_attr($input_focus_contact_bg) . "; color:" . esc_attr($input_focus_contact_text) . ";}"."\n";	

	
// END CUSTOM CSS
	
//Output all the styles
	wp_add_inline_style( 'prelude-lite-style', $custom );	
}
add_action( 'wp_enqueue_scripts', 'prelude_lite_inline_styles' );	