<?php
/**
 * The default header
 * @package Prelude Lite
 */
 ?>

	<header id="masthead" class="site-header" role="banner">
	
		<div id="site-branding" class="flex-item">	
		
		<?php // check to see if we are using a logo
		if ( get_theme_mod( 'custom_logo' )) : ?>   
			<div class="site-logo" itemscope itemtype="http://schema.org/Organization">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" itemprop="url">
					<?php prelude_lite_custom_logo(); ?>
				</a>    
			</div>  
		<?php  // if no logo 
		else :  ?>
				<div id="site-title">
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
				</div>
		<?php endif; ?>
		
		</div><!-- .site-branding -->
	
		<nav id="site-navigation" class="main-navigation flex-item" role="navigation" aria-label="<?php esc_attr_e( 'Primary Menu', 'prelude-lite' ); ?>">
				
				<?php if ( has_nav_menu( 'primary' ) ) : ?>				
					<button id="menu-toggle" class="menu-toggle"><?php _e( 'Menu', 'prelude-lite' ); ?></button>

					<div id="site-header-menu" class="site-header-menu">
						<?php if ( has_nav_menu( 'primary' ) ) : ?>
							
								<?php
									wp_nav_menu( array(
										'theme_location' => 'primary',
										'menu_class'     => 'primary-menu',
									 ) );
								?>
						
						<?php endif; ?>

					</div>
				<?php endif; ?>
		
				
		</nav>
	
		<nav id="social-navigation" class="social-navigation flex-item">
		<?php if ( has_nav_menu( 'social' ) ) :
				wp_nav_menu( array(
					'theme_location' => 'social', 
					'depth' => 1, 
					'container' => false, 
					'menu_class' => 'social-icons', 
					'link_before' => '<span class="screen-reader-text">', 
					'link_after' => '</span>',
				) );						
			endif; ?>
		</nav>
		
	</header>